Subject: Re: linux-next: manual merge of the akpm-current tree with the crypto tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 4 Aug 2020 08:12:47 +1000

Hi all,

On Fri, 17 Jul 2020 20:14:11 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the akpm-current tree got a conflict in:
> 
>   drivers/crypto/mediatek/mtk-aes.c
> 
> between commit:
> 
>   f441ba2ad341 ("crypto: mediatek - use AES library for GCM key derivation")
> 
> from the crypto tree and commit:
> 
>   161f6a5cc3ea ("mm, treewide: rename kzfree() to kfree_sensitive()")
> 
> from the akpm-current tree.
> 
> I fixed it up (the former removed the code updated by the latter) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the akmp-current tree and Linus' tre.

-- 
Cheers,
Stephen Rothwell